<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : loadVereine.xsl
    Created on : 6. September 2013, 10:35
    Author     : me-apps
    Description:
        Erzeugt SQL Befehle zum Füllen der team Tabelle.
-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="text"/>

    <xsl:template match="text()"/>  
    
    <xsl:template match="Person[number(@TrikotNummer) != number(@TrikotNummer)]">
        <!--<xsl:text>INSERT OR REPLACE INTO offizielle (spielnummer, bezeichner, gast, vorname, name, aktiv, strafen) values (</xsl:text>
        <xsl:text>INSERT OR REPLACE INTO team (id, spielnummer, trikotnummer, gast, vorname, name, geburtsjahr, passNr, aktiv, strafen, tore, ausweiskontrolliert, dsr) values (</xsl:text>-->
        <xsl:text>INSERT OR REPLACE INTO team (id, spielId, spielnummer, trikotnummer, gast, vorname, name, aktiv, strafen) values (</xsl:text>
        <xsl:value-of select="@Person_ID"/>
        <xsl:if test="../@teamType = 'Heim'">000</xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="../../@ID"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="../../@Nummer"/>
        <xsl:text>,"</xsl:text>
        <xsl:value-of select="@TrikotNummer"/>
        <xsl:text>",</xsl:text>
        <xsl:if test="../@teamType = 'Heim'">0</xsl:if>
        <xsl:if test="../@teamType = 'Gast'">1</xsl:if>
        <xsl:text>,"</xsl:text>
        <xsl:value-of select="@Vorname"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Name"/>
        <xsl:text>",</xsl:text>
        <xsl:choose>
            <xsl:when test="@Aktiv = 1">1</xsl:when>
            <xsl:when test="@Aktiv != 1">0</xsl:when>
            <xsl:otherwise>1</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,"");</xsl:text>
    </xsl:template>

    <xsl:template match="Person[number(@TrikotNummer) = number(@TrikotNummer) or string-length(@TrikotNummer) = 0]">
        <xsl:text>INSERT OR REPLACE INTO team (id, spielId, spielnummer, trikotnummer, gast, vorname, name, geburtsjahr, passNr, aktiv, strafen, tore, ausweiskontrolliert, dsr) values (</xsl:text>
        <xsl:value-of select="@Person_ID"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="../../@ID"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="../../@Nummer"/>
        <xsl:text>,</xsl:text>
        <xsl:if test="string-length(@TrikotNummer) = 0">null</xsl:if>
        <xsl:if test="string-length(@TrikotNummer) > 0">
            <xsl:value-of select="@TrikotNummer"/>
        </xsl:if>
        <xsl:text>,</xsl:text>
        <xsl:if test="../@teamType = 'Heim'">0</xsl:if>
        <xsl:if test="../@teamType = 'Gast'">1</xsl:if>
        <xsl:text>,"</xsl:text>
        <xsl:value-of select="@Vorname"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Name"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Geburtstag"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Spielerpassnummer"/>
        <xsl:text>",</xsl:text>
        <xsl:choose>
            <xsl:when test="@Aktiv = 1">1</xsl:when>
            <xsl:when test="@Aktiv != 1">0</xsl:when>
            <xsl:otherwise>1</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,"",0,0,0);</xsl:text>
    </xsl:template>

</xsl:stylesheet>
