<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="2.0" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>

  <xsl:template match="text()"/>

  <xsl:template match="Protokoll/Eintrag[ starts-with(@aktion, 'Spielzeit gestartet')]"></xsl:template>
  <xsl:template match="Protokoll/Eintrag[starts-with(@aktion, 'Spielzeit gestoppt')]"/>
  
  <!--xsl:template match="ProtokollEintrag[starts-with(@aktion, '7m mit Tor')]">
    <xsl:value-of select="concat(@spielzeit, ';', replace(@spielstand,':','-'), ';' , @hg, ';' , 'S+', ';', @trikotNr , ';&#xa;')"/>
  </xsl:template>
  
  <xsl:template match="ProtokollEintrag[starts-with(@aktion, '7m ohne Tor')]">
    <xsl:value-of select="concat(@spielzeit, ';', replace(@spielstand,':','-'), ';' , @hg, ';' , 'S-', ';', @trikotNr , ';&#xa;')"/>
  </xsl:template>
  
  <xsl:template match="ProtokollEintrag">
        <xsl:value-of select="concat(@spielzeit, ';', replace(@spielstand,':','-'), ';' , @hg, ';' , substring(@aktion,1,1), ';', @trikotNr , ';&#xa;')"/>
  </xsl:template -->
  
  <xsl:template match="Protokoll/Eintrag[starts-with(@aktion, '7m mit Tor')]">
    <xsl:value-of select="concat(@spielzeit, ';', @spielstand, ';' , @hg, ';' , 'S+', ';', @trikotNr , ';')"/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:template>
  
  <xsl:template match="Protokoll/Eintrag[starts-with(@aktion, '7m ohne Tor')]">
    <xsl:value-of select="concat(@spielzeit, ';', @spielstand, ';' , @hg, ';' , 'S-', ';', @trikotNr , ';')"/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:template>
  
  <xsl:template match="Protokoll/Eintrag">
    <xsl:value-of select="concat(@spielzeit, ';', @spielstand, ';' , @hg, ';' , substring(@aktion,1,1), ';', @trikotNr , ';')"/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:template>
  
  <xsl:template match="Spiel">
	  <xsl:text>Spielzeit;Spielstand;Heim/Gast;Aktion;TrikotNr&#xa;</xsl:text>
    <xsl:for-each select="//Protokoll/Eintrag">
      <xsl:sort select="@spielzeit"/>
      <xsl:apply-templates select="."/> 
    </xsl:for-each>

  </xsl:template>
</xsl:stylesheet>
