<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="2.0" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  
  <xsl:param name="trenner">^§$%|%$§^</xsl:param>

  <xsl:template match="text()"/>

  <xsl:template match="TeamHeim/* | TeamGast/* | Spielleitung/* | Bericht1 | Protokoll/* ">
    <xsl:for-each select="@*">
      <xsl:value-of select="."/>
    </xsl:for-each>
  </xsl:template>
  
  <xsl:template match="Bericht2 | EinspruchHeim | EinspruchGast">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="/">
    <xsl:apply-templates select="//TeamHeim"/>
    <xsl:value-of select="$trenner"/>
    <xsl:apply-templates select="//TeamGast"/>
    <xsl:value-of select="$trenner"/>
    <xsl:apply-templates select="//Spielleitung"/>
    <xsl:value-of select="$trenner"/>
    <xsl:apply-templates select="//Bericht1 | //Bericht2 | //EinspruchHeim | //EinspruchGast"/>  
    <xsl:value-of select="$trenner"/>
    <xsl:apply-templates select="//Protokoll"/>  
  </xsl:template>
</xsl:stylesheet>
