require 'webrick'

class Server < WEBrick::HTTPServer
  def service(req, res)
    super
    one_hour = 60 * 60
    t = Time.now.gmtime + one_hour
    # res['Expires'] = t.strftime("%a, %d %b %Y %H:%M:%S GMT")
    res['Expires'] = "0"
    res['Cache-control'] = "no-cache"
  end
end

root = File.expand_path('.')
server = Server.new(Port: 8888, DocumentRoot: root)

trap('INT') { server.shutdown } # Ctrl-C to stop

server.start
