<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="2.0" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text"/>

  <xsl:param name="Gast" select="1"/>

  <xsl:template match="Spieler"><xsl:value-of select="@trikotnummer"/>;<xsl:value-of select="@name"/>;<xsl:value-of select="@vorname"/>;<xsl:value-of
    select="@geburtsjahr"/>;<xsl:value-of select="@tore"/>;<xsl:value-of select="@strafen"/>;
</xsl:template>

  <xsl:template match="/">
    <xsl:if test="$Gast = 0">
      <xsl:for-each select="//TeamHeim/Spieler">
        <xsl:sort select="number(@trikotnummer)"/>
        <xsl:apply-templates select="."/>
      </xsl:for-each>
    </xsl:if>
    <xsl:if test="$Gast = 1">
      <xsl:for-each select="//TeamGast/Spieler">
        <xsl:sort select="number(@trikotnummer)"/>
        <xsl:apply-templates select="."/>
      </xsl:for-each>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
