<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="2.0" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>

  <xsl:template match="text()"/>

  <xsl:template match="Bericht2">
    <xsl:text>Bericht&#xa;</xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:template>

  <xsl:template match="EinspruchHeim">
    <xsl:text>Einspruch Heim&#xa;</xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:template>
  
  <xsl:template match="EinspruchGast">
    <xsl:text>Einspruch Gast&#xa;</xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:template>
  
  <xsl:template match="Person">
    <xsl:value-of select="concat(@typ,';',@Name, ';', @Vorname , '&#xa;')"/>
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="Spiel">
    <xsl:apply-templates/>
  </xsl:template>
</xsl:stylesheet>
