<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="no" method="text"/>

  <xsl:template match="text()"/>


  <xsl:template match="Spiel">
	  <!--        <xsl:text>INSERT OR REPLACE INTO spiele (spielId,nummer,heimId,heim,gastId,gast,datum,startZeit,zeit,geschlecht,verband,staffel,staffelKurz,halle, harzregel, pinCheckHeim,pinCheckGast,encryptedHeim,encryptedGast,</xsl:text>
	  <xsl:text>spielberichtJSON,timeoutHeim, timeoutGast, dauerHalbzeit, dauerTimeout, dauerHinausstellung, anzahlTimeOut, anzahlSpieler, buzzerNachTimeout, buzzerAmEnde, pokal,sz_datum) values (</xsl:text>!-->
	  <xsl:text>;</xsl:text>
        <xsl:value-of select="@ID"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="@Nummer"/>
        <xsl:text>,</xsl:text>
        <xsl:value-of select="@HeimID"/>
        <xsl:text>,"</xsl:text>
        <xsl:value-of select="@HeimLang"/>
        <xsl:text>",</xsl:text>
        <xsl:value-of select="@GastID"/>
        <xsl:text>,"</xsl:text>
        <xsl:value-of select="@GastLang"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Datum"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Zeit"/>
        <xsl:text>",0,"</xsl:text>
        <xsl:value-of select="@Geschlecht"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Organisationlang"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Staffellangname"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Staffelkurzname"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Hallenname"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="@Harzreglung"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="Mannschaft[@teamType='Heim']/@pinCheck"/>
        <xsl:text>","</xsl:text>
        <xsl:value-of select="Mannschaft[@teamType='Gast']/@pinCheck"/>
        <xsl:text>",0,0,null,0,0,</xsl:text>
        <xsl:value-of select="@Spielzeit_s"/>
        <xsl:text>,50,120,</xsl:text>
        <xsl:value-of select="@AnzahlTeamTimeouts"/>
        <xsl:text>,14,0,0,</xsl:text>
        <xsl:choose>
            <xsl:when test="@Pokal = 1">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
        </xsl:choose>
        <xsl:text>,""</xsl:text>
        <xsl:apply-templates/>
    </xsl:template>

  <xsl:template match="/">
    <xsl:text>CREATE TABLE IF NOT EXISTS spiele ( spielId INTEGER, nummer INTEGER, heimId INTEGER, heim TEXT,</xsl:text>
    <xsl:text>gastId INTEGER, gast TEXT, datum TEXT, startZeit TEXT, zeit INTEGER, geschlecht TEXT, verband TEXT, staffel TEXT, staffelKurz TEXT, halle TEXT, harzregel TEXT,</xsl:text>
    <xsl:text>pinCheckHeim TEXT, pinCheckGast TEXT, encryptedHeim INTEGER, encryptedGast INTEGER, spielberichtJSON TEXT, timeoutHeim INTEGER, timeoutGast INTEGER, </xsl:text>
    <xsl:text>dauerHalbzeit INTEGER, dauerTimeout INTEGER, dauerHinausstellung INTEGER, anzahlTimeOut INTEGER, anzahlSpieler INTEGER, buzzerNachTimeout INTEGER, buzzerAmEnde INTEGER, pokal INTEGER, sz_datum TEXT, PRIMARY KEY(spielId,nummer))</xsl:text>
    <xsl:apply-templates select="//Spiel"/>
  </xsl:template>
</xsl:stylesheet>
