<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output encoding="UTF-8" method="html"/>

  <xsl:template match="text()"/>

  <xsl:template match="Item">
    <li>
      <a>
        <xsl:attribute name="onclick">
          <xsl:value-of select="concat('me_apps.spielbericht.addTextToBericht(&quot;a&quot;,&quot;',@text ,'&quot;)')"/>
        </xsl:attribute>
        <h3>
          <xsl:value-of select="@name"/>
        </h3>
        <p class="ui-li-desc">​<xsl:value-of select="@text"/>​</p>
      </a>
    </li>
  </xsl:template>

  <xsl:template match="Bereich">
    <xsl:if test="not(starts-with(@name, 'DmB')) and not(starts-with(@name, 'Verletzung'))">
      <div data-collapsed="true" data-role="collapsible">
        <h3>
          <xsl:value-of select="@name"/>
        </h3>
        <ul data-role="listview">
          <xsl:apply-templates/>
        </ul>
      </div>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/">
    <div data-role="collapsible-set">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

</xsl:stylesheet>
