<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="xs" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:output encoding="UTF-8" method="text"/>
  
  <xsl:template match="text()"/>

  <xsl:template match="Item[last()]">
    <xsl:value-of select="concat('&quot;',@name,'&quot;:&quot;',@text,'&quot;')"/>
  </xsl:template>

  <xsl:template match="Item">
    <xsl:value-of select="concat('&quot;',@name,'&quot;:&quot;',@text,'&quot;,')"/>
  </xsl:template>
  
  <xsl:template match="Bereich">
    <xsl:if test="starts-with(@name, 'Verletzung')">
      <xsl:text>{</xsl:text>
          <xsl:apply-templates/>
      <xsl:text>}</xsl:text>
    </xsl:if>
  </xsl:template>
  
  <xsl:template match="/">
    <div data-role="collapsible-set">
      <xsl:apply-templates/>
    </div>
  </xsl:template>
  
</xsl:stylesheet>
