/*
 * Handle stuff within the settings dialog (einstellungen.html)
 * Never used.
 */

if (typeof (me_apps) === 'undefined') {
    me_apps = {};
}

if (typeof (me_apps.obj) === 'undefined') {
    me_apps.obj = {};
}

me_apps.obj.einstellungenDialog = function () {};

me_apps.obj.einstellungenDialog.prototype.setUploadButtonCount = function() {
    var count=me_apps.db.getPendingFinalizedUploads();
    var str;
    var elem=$('#btnSendReport');
    if (count === 0) {
        elem.find(".ui-btn-text").html("Momentan keine Berichte zum Hochladen");
        elem.removeAttr('disabled');
    } else {
        elem.find(".ui-btn-text").html("Berichte hochladen ("+count+" ausstehend)");
        elem.attr('disabled', 'disabled');
    }
};

me_apps.obj.einstellungenDialog.prototype.switchProdTestVersion = function() {
    if (me_apps.STAGE === "test") {
        me_apps.setStage("prod");
        $("#EinstellungenVersion").html(me_apps.getStageAndVersionString());
    } else {
        $("#TestVersionPassword").val("");
        $("#EinstellungenTestConfirmation").popup("open");
    }
};

me_apps.obj.einstellungenDialog.prototype.testSwitchConfirmation = function() {
    var password = $("#TestVersionPassword").val();
    if ("Testversion" === password) {
        me_apps.setStage("test");
        $("#EinstellungenVersion").html(me_apps.getStageAndVersionString());
    }
    $('#EinstellungenTestConfirmation').popup("close");
};

me_apps.einstellungenDialog = new me_apps.obj.einstellungenDialog();